# eth\_gasPrice

Returns the current price per gas in wei.

This method will use `20` [Compute Units](https://docs.validationcloud.io/v1/about/billing).

***

## Reference: [Here](https://ethereum.org/en/developers/docs/apis/json-rpc/#eth_gasprice)

## **Parameters**

`None`

## Returns

`String` - hex string value representing an integer of the current price per gas in WEI.

```bash
//Result
{
    "jsonrpc":"2.0",
    "id":73,
    "result":"0xffc1dc"//16761308 wei
} 
```

{% tabs %}
{% tab title="mainnet" %}

```bash
curl https://mainnet.polygon.validationcloud.io/v1/<YOUR_API_KEY_HERE> \
    -X POST \
    -H "Content-Type: application/json" \
    -d '{"jsonrpc":"2.0","method":"eth_gasPrice","params":[],"id":73}'

```

{% endtab %}

{% tab title="testnet" %}

```bash
curl https://amoy.polygon.validationcloud.io/v1/<YOUR_API_KEY_HERE> \
    -X POST \
    -H "Content-Type: application/json" \
    -d '{"jsonrpc":"2.0","method":"eth_gasPrice","params":[],"id":73}'

```

{% endtab %}
{% endtabs %}
